package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsPcsData;
import com.xzzn.ems.domain.vo.*;

/**
 * 单点监控 服务层
 *
 */
public interface ISingleSiteService
{

    public SiteMonitorHomeVo getSiteMonitorDataVo(Long siteId);


    public SiteMonitorRuningHeadInfoVo getSiteRunningHeadInfo(Long siteId);

    public SiteMonitorRuningInfoVo getRunningGraph(Long siteId);

    public EmsPcsData getPcsDetailInfo(Long siteId);

    public BMSOverViewVo getBMSOverView(Long siteId);

    public BMSBatteryClusterVo getBMSBatteryCluster(Long siteId);
}
